local FOLDER_NAME, SCA = ...

local defaults = {
	char = {
		audio = {
			spells = {
				damage = {
					enabled = true,
					tutorial = {
						enabled = false,
						frameCount = 0,
						flags = {
							isSeparate = false,
							spellEvent = false,
							source = false,
							spellEvents = false,
							customType = false,
							numFiles = false,
							audioLocationPack = false,
							audioLocationFile = false,
						},
						ofs = {
							spellEvents = {
								x = 340,
								y = -126,
							},
							source = {
								x = 248,
								y = -221,
							},
							isSeparate = {
								x = 750,
								y = -270,
							},
							spellEvent = {
								x = 500,
								y = -335,
							},
							customType = {
								x = 245,
								y = -270,
							},
							audioLocationPack = {
								x = 355,
								y = -340,
							},
							audioLocationFile = {
								x = 355,
								y = -340,
							},
							numFiles = {
								x = 680,
								y = -340,
							},
						},
						ids = {},
					},
					numEvents = 0,
					dbName = "damage",
					selected = 'onCast',
					isSeparate = false,
					events = {
						onCast = false,
						onSuccess = false,
						onFail = false,
						onDamage = false,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					onCast = {
						label = "On Cast Start",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onSuccess = {
						label = "On Cast Success",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onFail = {
						label = "On Cast Fail",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onDamage = {
						label = "On Damage Dealt",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							trigger = "crit",
							swing = true,
							pet = true,
							dots = true,
							spells = true,
							threshold = 0,
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				heals = {
					enabled = true,
					tutorial = {
						enabled = false,
						frameCount = 0,
						flags = {
							isSeparate = false,
							spellEvent = false,
							source = false,
							spellEvents = false,
							customType = false,
							numFiles = false,
							audioLocationPack = false,
							audioLocationFile = false,
						},
						ofs = {
							spellEvents = {
								x = 340,
								y = -126,
							},
							source = {
								x = 248,
								y = -221,
							},
							isSeparate = {
								x = 750,
								y = -270,
							},
							spellEvent = {
								x = 500,
								y = -335,
							},
							customType = {
								x = 245,
								y = -270,
							},
							audioLocationPack = {
								x = 355,
								y = -340,
							},
							audioLocationFile = {
								x = 355,
								y = -340,
							},
							numFiles = {
								x = 680,
								y = -340,
							},
						},
						ids = {},
					},
					numEvents = 0,
					dbName = "healing",
					selected = 'onCast',
					isSeparate = false,
					events = {
						onCast = false,
						onSuccess = false,
						onFail = false,
						onHeal = false,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					onCast = {
						label = "On Cast Start",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onSuccess = {
						label = "On Cast Success",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onFail = {
						label = "On Cast Fail",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onHeal = {
						label = "On Heal Dealt",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							trigger = "crit",
							hots = true,
							spells = true,
							threshold = 0,
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				specific = {
					enabled = true,
					--[[ Separate Sounds Template
					[51505] = {
						onCast = {
							options = {
								source = "packs",
								channel = "Master",
							},
							packs = {
							
							},
							shared = {
							
							},
							custom = {
							
							},
						},
						onDamage = {
							options = {
								trigger = "crit",
								threshold = 0,
								source = "packs",
								channel = "Master",
							},
						},
						onHeal = {
							options = {
								trigger = "crit",
								threshold = 0,
								source = "packs",
								channel = "Master",
							},
						},
						
						
					},
					-- Non-Separate Sounds Template
					[51505] = {
						options = {
							source = "packs",
							channel = "Master",
						},
						onCast = {
							
						},
						onDamage = {
						
						},
						onHeal = {
						
						},
					},
					]]
				},
				ignored = {

				},
			},
			defense = {
				events = {
					absorb = true,
					block = true,
					dodge = true,
					parry = true,
				},
				selected = 'absorb',
				dodge = {
					label = "Dodge",
					validAudio = false,
					order = 3,
					options = {
						source = "packs",
						channel = "Master",
					},
					packs = {
						text = '',
						value = 'empty',
						path = '',
						max = 1,
						isRandom = {
							enabled = true,
							currentFile = 1,
						},
					},
					shared = {
						value = 'None',
					},
					custom = {
						path = "Interface\\AUDIO\\",
						max = 1,
						customType = 'file',
						isRandom = {
							enabled = true,
							currentFile = 1,
						},
					},
				},
				parry = {
					label = "Parry",
					validAudio = false,
					order = 4,
					options = {
						source = "packs",
						channel = "Master",
					},
					packs = {
						text = '',
						value = 'empty',
						path = '',
						max = 1,
						isRandom = {
							enabled = true,
							currentFile = 1,
						},
					},
					shared = {
						value = 'None',
					},
					custom = {
						path = "Interface\\AUDIO\\",
						max = 1,
						customType = 'file',
						isRandom = {
							enabled = true,
							currentFile = 1,
						},
					},
				},
				block = {
					label = "Block",
					validAudio = false,
					order = 2,
					options = {
						source = "packs",
						channel = "Master",
					},
					packs = {
						text = '',
						value = 'empty',
						path = '',
						max = 1,
						isRandom = {
							enabled = true,
							currentFile = 1,
						},
					},
					shared = {
						value = 'None',
					},
					custom = {
						path = "Interface\\AUDIO\\",
						max = 1,
						customType = 'file',
						isRandom = {
							enabled = true,
							currentFile = 1,
						},
					},
				},
				absorb = {
					label = "Absorb",
					validAudio = false,
					order = 1,
					options = {
						source = "packs",
						channel = "Master",
					},
					packs = {
						text = '',
						value = 'empty',
						path = '',
						max = 1,
						isRandom = {
							enabled = true,
							currentFile = 1,
						},
					},
					shared = {
						value = 'None',
					},
					custom = {
						path = "Interface\\AUDIO\\",
						max = 1,
						customType = 'file',
						isRandom = {
							enabled = true,
							currentFile = 1,
						},
					},
				},
			},
			special = {
				enabled = true,
				combat = {
					enabled = true,
					label = "Combat",
					order = 1,
					selected = 'kill',
					events = {
						start = true,
						kill = true,
						ended = true,
					},
					start = {
						label = "Combat Started",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					kill = {
						label = "Killing Blow",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					ended = {
						label = "Combat Ended",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				looting = {
					enabled = true,
					label = "Looting",
					order = 2,
					selected = 'loot',
					events = {
						open = true,
						loot = true,
						close = true,
					},
					open = {
						label = "Open Loot Window",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					loot = {
						label = "Loot Item",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					close = {
						label = "Close Loot Window",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
			},
			chat = {
				enabled = true,
				guild = {
					enabled = true,
					label = "Guild",
					order = 1,
					selected = 'guild',
					events = {
						guild = true,
						officer = true,
					},
					guild = {
						label = "Guild Chat",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					officer = {
						label = "Officer",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				group = {
					enabled = true,
					label = "Group",
					order = 2,
					selected = 'party',
					events = {
						party = true,
						raid = true,
						instance = true,
						battleground = true,
					},
					party = {
						label = "Party Chat",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					raid = {
						label = "Raid Chat",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					instance = {
						label = "Instance Chat",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					battleground = {
						label = "Battleground Chat",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				global = {
					enabled = true,
					label = "Global",
					order = 3,
					selected = 'general',
					events = {
						general = true,
						trade = true,
						localdefense = true,
						lookingforgroup = true,
					},
					general = {
						label = "General Chat",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					trade = {
						label = "Trade Chat",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					localdefense = {
						label = "Local Defense",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					lookingforgroup = {
						label = "Looking For Group",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				nearby = {
					enabled = true,
					label = "Local",
					order = 4,
					selected = 'say',
					events = {
						say = true,
						yell = true,
						emote = true,
					},
					say = {
						label = "Say",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					yell = {
						label = "Yell",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					emote = {
						label = "Emote",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
			},
			move = {
				enabled = true,
				ascend = {
					label = "Jump / Ascend",
					isSeparate = false,
					selected = "onStart",
					numEvents = 0,
					order = 1,
					events = {
						onStart = true,
						onStop = true,
					},
					triggers = {
						running = true,
						mounted = true,
						swimming = true,
						flying = true,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					onStart = {
						validAudio = false,
						label = "On Start",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						validAudio = false,
						label = "On Stop",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				descend = {
					label = "Sit / Descend",
					selected = "onStart",
					numEvents = 0,
					order = 2,
					events = {
						onStart = false,
						onStop = false,
					},
					triggers = {
						running = true,
						mounted = true,
						swimming = true,
						flying = true,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					onStart = {
						validAudio = false,
						label = "On Start",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						validAudio = false,
						label = "On Stop",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				forward = {
					label = "Forward",
					isSeparate = false,
					selected = "onStart",
					numEvents = 0,
					order = 3,
					events = {
						onStart = false,
						onStop = false,
					},
					triggers = {
						running = true,
						mounted = true,
						swimming = true,
						flying = true,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					onStart = {
						validAudio = false,
						label = "On Start",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						validAudio = false,
						label = "On Stop",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				backward = {
					label = "Backwards",
					isSeparate = false,
					selected = "onStart",
					numEvents = 0,
					order = 4,
					events = {
						onStart = false,
						onStop = false,
					},
					triggers = {
						running = true,
						mounted = true,
						swimming = true,
						flying = true,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					onStart = {
						validAudio = false,
						label = "On Start",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						validAudio = false,
						label = "On Stop",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				turnleft = {
					label = "Turn Left",
					isSeparate = false,
					selected = "onStart",
					numEvents = 0,
					order = 5,
					events = {
						onStart = false,
						onStop = false,
					},
					triggers = {
						running = true,
						mounted = true,
						swimming = true,
						flying = true,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					onStart = {
						validAudio = false,
						label = "On Start",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						validAudio = false,
						label = "On Stop",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				turnright = {
					label = "Turn Right",
					isSeparate = false,
					selected = "onStart",
					numEvents = 0,
					order = 6,
					events = {
						onStart = false,
						onStop = false,
					},
					triggers = {
						running = true,
						mounted = true,
						swimming = true,
						flying = true,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					onStart = {
						validAudio = false,
						label = "On Start",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						validAudio = false,
						label = "On Stop",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				pitchup = {
					label = "Pitch Up",
					isSeparate = false,
					selected = "onStart",
					numEvents = 0,
					order = 7,
					events = {
						onStart = false,
						onStop = false,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					onStart = {
						validAudio = false,
						label = "On Start",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						validAudio = false,
						label = "On Stop",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				pitchdown = {
					label = "Pitch Down",
					isSeparate = false,
					selected = "onStart",
					numEvents = 0,
					order = 8,
					events = {
						onStart = false,
						onStop = false,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					onStart = {
						validAudio = false,
						label = "On Start",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						validAudio = false,
						label = "On Stop",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				autorun = {
					label = "Autorun",
					isSeparate = false,
					selected = "onStart",
					numEvents = 0,
					order = 9,
					events = {
						onStart = false,
						onStop = false,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					onStart = {
						validAudio = false,
						label = "On Start",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						validAudio = false,
						label = "On Stop",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				--[[interact = {
					label = "Interact",
					order = 10,
					selectedAction = "info",
					info = {
						enabled = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = '',
							max = 1,
							customType = 'file',
						},
					},
				},]]
			},
		},
	},
}

SCA[1].defaults = defaults